# $Revision: 1.46 $, $Date: 2010/07/09 10:53:46 $
Summary:	Media center
Summary(pl.UTF-8):	Centrum multimedialne
Name:		elisa
Version:	0.5.31
Release:	3
License:	GPL v3
Group:		Applications/Multimedia
Source0:	http://elisa.fluendo.com/static/download/elisa/%{name}-%{version}.tar.gz
# Source0-md5:	5b4853a015310381cce2998bfc151642
URL:		http://www.fluendo.com/elisa/
BuildRequires:	python-TwistedCore >= 8.0.0
BuildRequires:	python-gstreamer >= 0.10.9
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
Requires:	gstreamer-plugins-good >= 0.10.10-1
Requires:	python-PIL
Requires:	python-TwistedCore >= 8.0.0
Requires:	python-TwistedCore-ssl >= 8.0.0
Requires:	python-TwistedWeb >= 8.0.0
Requires:	python-TwistedWeb2 >= 8.0.0
Requires:	python-coherence
Requires:	python-cssutils >= 0.9.5.1
Requires:	python-encutils
Requires:	python-gstreamer >= 0.10.9
Requires:	python-pigment >= 0.3.9-2
Requires:	python-pygobject
Requires:	python-pymetar
Requires:	python-setuptools
Requires:	python-sqlite
Suggests:	elisa-plugins-good
Suggests:	elisa-plugins-bad
Suggests:	elisa-plugins-ugly
Suggests:	python-gpod
Suggests:	python-dbus
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Elisa is a project to create an open source cross platform media
center solution.

%description -l pl.UTF-8
Elisa jest projektem stworzenia wieloplatformowego centrum
multimedialnego o otwartych źródłach.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/plugins

python setup.py install \
	--root=$RPM_BUILD_ROOT

#py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING contains just some notes, LICENSE.GPL includes excemption clause 
%doc AUTHORS COPYING FAQ* LICENSE.* NEWS README FIRST_RUN
%attr(755,root,root) %{_bindir}/elisa*
%{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}*.egg-info
#%{py_sitescriptdir}/%{name}_*.py*
%{py_sitescriptdir}/%{name}*.pth
%{_desktopdir}/%{name}.desktop
%{_desktopdir}/%{name}-mobile.desktop
%{_pixmapsdir}/%{name}.png
%{_datadir}/dbus-1/services/com.fluendo.elisa.service
%{_mandir}/man1/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elisa.spec,v $
Revision 1.46  2010/07/09 10:53:46  arekm
- release 3

Revision 1.45  2010/07/08 07:45:43  arekm
- release 2

Revision 1.44  2009/03/15 12:41:08  luzik
- updated to 0.5.31

Revision 1.43  2009/01/15 17:50:41  luzik
- updated to 0.5.23, STBR

Revision 1.42  2008/12/17 13:05:40  luzik
- updated to 0.5.22, STBR

Revision 1.41  2008/12/03 10:01:39  luzik
- updated to 0.5.20, STBR

Revision 1.40  2008/11/21 18:37:58  charles
- BR: rpm-pythonprov

Revision 1.39  2008/11/21 09:45:57  luzik
- updated to 0.5.18, STBR

Revision 1.38  2008/11/05 20:11:34  luzik
- updated to 0.5.17, STBR

Revision 1.37  2008/10/29 12:49:47  luzik
- rel 2

Revision 1.36  2008/10/29 12:48:41  luzik
- requires to suggest

Revision 1.35  2008/10/27 19:45:34  wiget
- updated to 0.5.16
- disable py_postclean - this program don't work without .py files without patching

Revision 1.34  2008/10/14 11:37:25  luzik
- update to 0.5.14, STBR

Revision 1.33  2008/10/08 18:30:25  wiget
- updated to 0.5.13

Revision 1.32  2008/10/03 17:42:39  arekm
- release 2

Revision 1.31  2008/09/30 12:34:40  luzik
- updated to 0.5.12, STBR

Revision 1.30  2008/09/20 21:30:40  wiget
- updated to 0.5.10

Revision 1.29  2008/09/17 09:32:46  luzik
- updated to 0.5.9, STBR

Revision 1.28  2008/09/04 05:45:14  luzik
- R: gstremer-plugins-good with required pngenc

Revision 1.27  2008/09/03 18:30:54  emes
- up to 0.5.8

Revision 1.26  2008/09/03 07:35:19  blues
- pymetar is already required

Revision 1.25  2008/09/03 06:59:34  luzik
- s/pymetar/python-pymetar/

Revision 1.24  2008/09/03 06:48:49  luzik
- Requires, Suggests

Revision 1.23  2008/09/01 14:59:40  blues
- one more missing requires

Revision 1.22  2008/09/01 14:55:49  blues
- more req

Revision 1.21  2008/08/31 15:48:51  luzik
- updated to 0.5.7, STBR

Revision 1.20  2008/08/22 22:30:21  qboosh
- updated: pigment-python -> python-pigment

Revision 1.19  2008/08/22 21:07:37  blues
- seems to be needed

Revision 1.18  2008/08/22 20:32:59  blues
- revert

Revision 1.17  2008/08/22 20:31:53  blues
- lets require some plugins - doesn't work without that

Revision 1.16  2008/08/22 20:19:33  blues
- rel.1 - Req. python-setuptools

Revision 1.15  2008/08/22 19:27:53  blues
- 0.5.6

Revision 1.14  2008/08/13 18:51:06  emes
- up to 0.5.5
- fixed dependencies

Revision 1.13  2008/05/03 14:03:44  luzik
- no-source-files patch added (thx to morr <shinden_at-linux.pl> )
- plugins dir added
- more Requires

Revision 1.12  2008-05-02 18:48:05  luzik
- updated to 3.5

Revision 1.11  2008-02-17 21:32:50  qboosh
- require python-gstreamer recent enough, so it's still noarch
- R: python-gobject (probably more python deps needed...)
- GPL v3

Revision 1.10  2008-02-17 19:04:11  luzik
- updated to 0.3.3

Revision 1.9  2007/10/18 19:09:32  luzik
- up to 0.3.2

Revision 1.8  2007/05/17 20:29:33  qboosh
- noarch
- added docs

Revision 1.7  2007/04/22 13:59:40  patrys
- 0.1.5

Revision 1.6  2007/04/16 07:52:57  beorn
- pl description beautify

Revision 1.5  2007/04/05 12:33:25  qboosh
- real pl

Revision 1.4  2007/04/01 12:46:19  glen
- BR

Revision 1.3  2007/03/31 18:26:46  luzik
- adapteriezd
